Thunderbird / Firefox – Rendre compatible n’importe quel module

  • Mozilla Firefox
  • 135
  • 0
  • Vous connaissez sans doute ce courrielleur, cousin de Firefox de la maison Mozilla. D’ailleurs, la petite astuce qui va suivre est valable pour les deux logiciels. Thunderbird et Mozilla ont la possibilité de pouvoir être modifiés grâce à des modules. Ces modules sont bien souvent développés par des personnes un peu comme moi : développe sur le moment puis ne suivent pas forcément l’évolution des logiciels Mozilla. Du fait, les modules sont vite incompatibles.

    La manip qui suit va rendre compatible n’importe quel module aux yeux des logiciels Mozilla, mais cela ne veut pas dire qu’il seront réellement compatibles. Dans ce cas il faudra désinstaller le module, en « Safe Mode » peut-être.
    1. Téléchargez le module souhaité sur votre Bureau.
    2. Le fichier est au format XPI, qui équivaut à une archive ZIP. Je vous conseille vivement le logiciel 7Zip pour travailler avec les archives.
    3. Faites clic droit sur le fichier XPI > 7Zip > Ouvrir l’archive
      comp-1
    4. Trouvez le fichier install.rdf et faites un clic droit dessus > Modifier à l’extérieur. Si 7Zip vous demande d’associer un programme, je vous conseille Notepad++ mais n’importe quel éditeur de texte suffit.
    5. Pour finir, modifier la ligne
      <em:maxVersion>45.0</em:maxVersion>

      45.0 représente la version maximale compatible. Passer ce chiffre à au moins la valeur de la version du logiciel Mozilla.

    6. Enregistrez et refermez l’éditeur de texte
    7. Une confirmation de modification du fichier XPI vous sera demandée. Confirmez.
    8. Il ne restera plus qu’à ajouter le module modifié en glissant ce dernier dans la partie Modules et de confirmer l’ajout.
    Share on FacebookShare on Google+Tweet about this on TwitterShare on LinkedIn

    Laisser un commentaire

    Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

    fifty seven − = fifty six